#!/usr/bin/env python3

# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.

import requests

from config import getconfig


def do(action, data={}):
    conf = getconfig()
    try:
        r = requests.post(conf["url"] + "/api/" + action, data=data, auth=(conf["username"], conf["password"]))
    except:
        print("Could not connect to the server.  Try again.")
        return

    try:
        resp = r.json()
        if resp["status"] == "ERROR":
            raise Exception(resp["msg"])
        return resp
    except ValueError:
        raise Exception("Invalid response from server.")
